program GroupNotes;

{%ToDo 'GroupNotes.todo'}

uses
  Forms,
  fMainFrame in '..\UI\fMainFrame.pas' {frmMainFrame},
  fSplash in '..\UI\fSplash.pas' {frmSplash},
  fGNPtSel in '..\UI\fGNPtSel.pas' {frmGNPtSel},
  rGroupNote in '..\Mid\rGroupNote.pas',
  fxBroker in '..\UI\fxBroker.pas' {frmBroker},
  fDupPts in '..\UI\fDupPts.pas' {frmDupPts},
  fPtDemo in '..\UI\fPtDemo.pas' {frmPtDemo},
  fGNEncounter in '..\UI\fGNEncounter.pas' {frmGNEncounter},
  fPage in '..\UI\fPage.pas' {frmPage},
  rMisc in '..\Mid\rMisc.pas',
  fEncounterFrame in '..\UI\Encounter\fEncounterFrame.pas' {frmEncounterFrame},
  fPCEBase in '..\UI\Encounter\fPCEBase.pas' {frmPCEBase},
  uPCE in '..\UI\Encounter\uPCE.pas',
  rPCE in '..\UI\Encounter\rPCE.pas',
  rOrders in '..\Mid\rOrders.pas',
  rConsults in '..\UI\Consults\rConsults.pas',
  uConsults in '..\UI\Consults\uConsults.pas',
  rTIU in '..\Mid\rTIU.pas',
  uTIU in '..\Mid\uTIU.pas',
  uCore in '..\Mid\uCore.pas',
  fGAF in '..\UI\Encounter\fGAF.pas',
  fPCEBaseGrid in '..\UI\Encounter\fPCEBaseGrid.pas' {frmPCEBaseGrid},
  fPCEProvider in '..\UI\Encounter\fPCEProvider.pas' {frmPCEProvider},
  fVisitType in '..\UI\Encounter\fVisitType.pas' {frmVisitType},
  mVisitRelated in '..\UI\Encounter\mVisitRelated.pas' {fraVisitRelated: TFrame},
  rVitals in '..\UI\Vitals\rVitals.pas',
  fPCEEdit in '..\UI\Encounter\fPCEEdit.pas' {frmPCEEdit},
  uConst in '..\Mid\uConst.pas',
  fPCEBaseMain in '..\UI\Encounter\fPCEBaseMain.pas' {frmPCEBaseMain},
  fDiagnoses in '..\UI\Encounter\fDiagnoses.pas' {frmDiagnoses},
  fAutoSz in '..\UI\fAutoSz.pas' {frmAutoSz},
  fPCEOther in '..\UI\Encounter\fPCEOther.pas' {frmPCEOther},
  fHFSearch in '..\UI\Encounter\fHFSearch.pas' {frmHFSearch},
  fProcedure in '..\UI\Encounter\fProcedure.pas' {frmProcedures},
  fEncVitals in '..\UI\Encounter\fEncVitals.pas' {frmEncVitals},
  uVitals in '..\UI\Vitals\uVitals.pas',
  fVitalsDate in '..\UI\Vitals\fVitalsDate.pas' {frmVitalsDate},
  mVitBase in '..\UI\Vitals\mVitBase.pas' {fraVitBase: TFrame},
  mVitMetric in '..\UI\Vitals\mVitMetric.pas' {fraVitMetric: TFrame},
  fImmunization in '..\UI\Encounter\fImmunization.pas' {frmImmunizations},
  fSkinTest in '..\UI\Encounter\fSkinTest.pas' {frmSkinTests},
  fPatientEd in '..\UI\Encounter\fPatientEd.pas' {frmPatientEd},
  fHealthFactor in '..\UI\Encounter\fHealthFactor.pas' {frmHealthFactors},
  fExam in '..\UI\Encounter\fExam.pas' {frmExams},
  fNoteProps in '..\UI\Notes\fNoteProps.pas' {frmNoteProperties},
  fSignItem in '..\UI\fSignItem.pas' {frmSignItem},
  fEncnt in '..\UI\Encounter\fEncnt.pas' {frmEncounter},
  uSpell in '..\Mid\uSpell.pas',
  fAddlSigners in '..\UI\Notes\fAddlSigners.pas' {frmAddlSigners},
  uInit in '..\Mid\uInit.pas',
  fTimeout in '..\UI\fTimeout.pas' {frmTimeout},
  fAbout in '..\UI\fAbout.pas' {frmAbout},
  fPCELex in '..\UI\Encounter\fPCELex.pas' {frmPCELex},
  uUtils in '..\Mid\uUtils.pas',
  fxEdit in '..\UI\fxEdit.pas' {frmDebugEdit};

{$R *.res}

begin
  Application.Initialize;
{$IFDEF ICD10DEBUG}
  if bICD10Debug then
    SplashAbout
  else
    Splash;
{$ELSE}
  Splash;
{$ENDIF}
  Application.Title := 'CPRS - Group Notes';
  Application.HelpFile := 'cprsgn.hlp';
  Application.CreateForm(TfrmMainFrame, frmMainFrame);
  {$IFDEF ICD10DEBUG}
  if bICD10Debug then
    frmAbout.Release
  else
{$ENDIF}
    frmSplash.Release;
  Application.Run;
end.

